#!/bin/bash

rm *.txt

m=1500
n=500

for alpha in 0.5
do
	for beta in 0.0 0.1 0.3 0.6
	do
		for njobs in 17 9 5 3 2 
		do
			for alg in SGD SPL
			do
				echo "m = $m, n = $n, alpha = $alpha, beta = $beta, njobs = $njobs, alg = $alg"
				mpirun -np $njobs python blopt.py --m=$m --n=$n --alpha=$alpha --beta=$beta --alg=$alg
			done
		done
	done
done

